Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/splint: new aport

From: xcko shrdlu <xcko_at_bitmessage.ch>
Date: Fri, 4 Nov 2016 14:24:27 -0700

http://www.splint.org/
Statically check C programs for security vulnerabilities and coding mistakes
---
 testing/splint/APKBUILD  | 36 ++++++++++++++++++++++++++++++++++++
 testing/splint/splint.sh |  2 ++
 2 files changed, 38 insertions(+)
 create mode 100644 testing/splint/APKBUILD
 create mode 100644 testing/splint/splint.sh
diff --git a/testing/splint/APKBUILD b/testing/splint/APKBUILD
new file mode 100644
index 0000000..6714fd5
--- /dev/null
+++ b/testing/splint/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: xcko shrdlu <xcko_at_bitmessage.ch>
+# Maintainer: xcko shrdlu <xcko_at_bitmessage.ch>
+pkgname=splint
+pkgver=3.1.2
+pkgrel=0
+pkgdesc="Statically check C programs for security vulnerabilities and coding mistakes"
+url="http://www.splint.org/"
+arch="all"
+license="GPL2"
+depends="flex"
+depends_dev=""
+makedepends="flex-dev autoconf"
+install=""
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://www.splint.org/downloads/${pkgname}-${pkgver}.src.tgz splint.sh"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	sed -i 's/__pid_t/pid_t/' src/osd.c || return 1
+	autoconf
+	./configure --prefix=/usr --mandir=/usr/share/man
+	make LDFLAGS="$LDFLAGS -lfl"
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="${pkgdir}" install
+	install -D -m644 "${srcdir}"/splint.sh "${pkgdir}"/etc/profile.d/splint.sh
+}
+md5sums="25f47d70bd9c8bdddf6b03de5949c4fd  splint-3.1.2.src.tgz
+0efb6341b384dc44590989fe3678c96c  splint.sh"
+sha256sums="c78db643df663313e3fa9d565118391825dd937617819c6efc7966cdf444fb0a  splint-3.1.2.src.tgz
+ea90b733037ef1ad25a0a5f39cbb33ca747dabd3b2bfd9d087f3981bc6990b61  splint.sh"
+sha512sums="9bbf3f6575763c022940efde947f845f52095a1bcf645f7f4a98feb335b62d2bd50d78420e7fe95f81eb139b110d8fe48112b025deace45f7994360b20d47e0b  splint-3.1.2.src.tgz
+ea9260a69f7110c63f51dbf15429be519cbf01d25267a23d527cb0266bf5450102f7a4ad1e6e43b72a68da6ef94a8b735dd447e644536049469aab9be9435b32  splint.sh"
diff --git a/testing/splint/splint.sh b/testing/splint/splint.sh
new file mode 100644
index 0000000..6ff8d91
--- /dev/null
+++ b/testing/splint/splint.sh
_at_@ -0,0 +1,2 @@
+export LCLIMPORTDIR=/usr/share/splint/imports
+export LARCH_PATH=/usr/share/splint/lib
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 04 2016 - 14:24:27 GMT